#import <UIKit/UIKit.h>

typedef enum {
    kABCTextViewThemeDefault,
} ABCTextViewTheme;

@interface ABCTextView : UITextView

@property(nonatomic,retain) NSDictionary *highlightColor;
@property(nonatomic,retain) NSDictionary *highlightDefinition;

-(void)setHighlightDefinition:(NSDictionary*)highlightDefinition;

-(void)setHighlightTheme:(ABCTextViewTheme)theme;
+(NSDictionary*)highlightTheme:(ABCTextViewTheme)theme;

@end
