#import <UIKit/UIKit.h>
#import "TuneParser.h"

@class Tune;
@class TuneViewController;
@class EditABCController;

@interface EditABCView : UIView
{
}

@property(retain) EditABCController* controller;

- (void) layoutSubviews;
@end

@interface EditABCController : UIViewController <UITextViewDelegate, UIActionSheetDelegate, TuneParserDelegate>
{
  BOOL changed;
  IBOutlet UIToolbar* _toolbar;
  IBOutlet EditABCView *_containerView;
  IBOutlet UITextView *textView;

  // These only used on ipad
  Tune *editTune;
  Tune *tune;
  IBOutlet TuneViewController* tuneViewController;
  int numTunes;
  NSMutableArray *parsedTunes;

  IBOutlet UIView* accessoryView;
  BOOL viewAppeared;
  BOOL _aboutToAppear;
}

@property(readwrite) BOOL changed;
@property(retain) Tune* editTune;
@property(retain) TuneViewController* tuneViewController;


- (void)textViewDidChange:(UITextView *)textView;

-(void)setText:(NSString*)text;
-(NSString *)text;

-(void)transpose:(NSString*)tune spec:(const char*)spec;

- (void)textViewDidChange:(UITextView *)textView;

- (void)layoutViews:(UIInterfaceOrientation)orientation;
- (IBAction)previewPressed:(id)sender;
- (IBAction)cancelPressed:(id)sender;
- (IBAction)donePressed:(id)sender;
- (IBAction)accessoryKeyPressed:(id)sender;

@end
