#import "SliderTableCell.h"

@implementation SliderTableCell

@synthesize label;
@synthesize slider;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
	self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
	if (self) {
    label = [[UILabel alloc] initWithFrame:CGRectMake(14.0, 2.0, 150.0, 40.0)];
    label.backgroundColor = [UIColor clearColor];
    label.font = [UIFont systemFontOfSize:18];
		[[self contentView] addSubview:label];
		self.selectionStyle = UITableViewCellSelectionStyleNone;

		slider = [[UISlider alloc] initWithFrame:CGRectMake(20.0, 28.0, 260.0, 40.0)];
		slider.continuous = NO;
		slider.maximumValue = 100.0;
		slider.minimumValue = 0.0;
		[[self contentView] addSubview:slider];

		self.selectionStyle = UITableViewCellSelectionStyleNone;		
	}
	return self;
}
@end
