#import "NSImage+Saving.h"

@implementation NSImage(Saving)

- (void) saveAsType:(NSBitmapImageFileType)type withName:(NSString*)fileName
{
  // Cache the reduced image
  NSData *imageData = [self TIFFRepresentation];
  NSBitmapImageRep *imageRep = [NSBitmapImageRep imageRepWithData:imageData];
  NSDictionary *imageProps = [NSDictionary dictionaryWithObject:[NSNumber numberWithFloat:1.0] forKey:NSImageCompressionFactor];
  imageData = [imageRep representationUsingType:type properties:imageProps];
  [imageData writeToFile:fileName atomically:NO];        
}

@end
