//
//  SearchWindowController.h
//  Tunebook-Mac
//
//  Created by Jerry on 26/07/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SearchWindowController : NSWindowController {
  IBOutlet NSPredicateEditor* predicateEditor;
  IBOutlet NSButton* saveButton;
  
  NSPredicate* predicate;
  id delegate;
}

@property (nonatomic,retain) NSPredicate* predicate;
@property (nonatomic,retain) id delegate;

- (void)showSearch:(NSPredicate*)predicate window:(NSWindow*)aWindow;

- (IBAction)searchPressed:(id)sender;
- (IBAction)cancelPressed:(id)sender;

- (void)didEndSheet:(NSWindow *)sheet returnCode:(NSInteger)returnCode contextInfo:(void *)contextInfo;
@end
