#ifndef _H_midi_
#define _H_midi_

void midi_begin_tunes(FILE* fpin);
void midi_end_tunes();

void midi_begin_tune();
void midi_end_tune();

void midi_begin_part( char part );
void midi_end_part();

void midi_write_note(float t0, float tn, float tx, int pitch, float amplitude, int channel);

void midi_set_start_time( float time );

void midi_flush_to_time( float time );
#endif
