#ifndef _subsH
#define _subsH

/*
 *  This file is part of abc2ps,
 *  Copyright (C) 1996-2007  Michael Methfessel
 *  See file abc2ps.c for details.
 */

int is_xrefstr (char str[]);

void init_ops (int job);

void ops_into_fmt (Format* fmt);

int parse_args (int ac, char* av[]);

void alloc_structs (void);
#if ABC_LIBRARY
void free_structs ();
#endif

int set_page_format (void);

void put_str (char* str);

void set_font (FILE* fp, FontSpec font, int add_bracket);

void close_output_file (void);

void open_output_file (char fnam[], char tstr[]);

#endif
