#import "ImportABCController.h"
#import "ImportProgressController.h"
#import "AppDelegate.h"
#import "Tune.h"

@implementation ImportABCController

-(void)viewDidLoad {
  [urlField setText:@"http://"];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
  return YES;
}

- (void)didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
}

-(void)dealloc
{
	[super dealloc];
}

- (IBAction) onImport:(id)sender
{
  [urlField resignFirstResponder];

  ImportProgressController *controller = [[ImportProgressController alloc] initWithNibName:@"ImportProgress" bundle:nil];
  if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad)
    controller.modalPresentationStyle = UIModalPresentationFormSheet;
  [self presentViewController:controller animated:YES completion:nil];
  NSURL *url = [NSURL URLWithString:urlField.text];
  [controller import:url];
}

#pragma mark UIViewController delegate methods

- (void)viewWillAppear:(BOOL)animated
{
  [super viewWillAppear:animated];
}

#pragma mark UITextField delegate methods

- (BOOL)textFieldShouldReturn:(UITextField *)theTextField
{
  [theTextField resignFirstResponder];
  if ( theTextField == urlField )
    [self onImport:self];
  return YES;
}

@end
