//
//  TopLevelViewController.h
//  Tunebook
//
//  Created by Jerry on 29/12/2012.
//
//

#import <UIKit/UIKit.h>

@class PlaylistViewController;
@class MainViewController;
@class TuneViewController;

@interface TopLevelViewController : UIViewController
{
  IBOutlet PlaylistViewController* tunebookViewController;
  IBOutlet TuneViewController* tuneViewController;
  IBOutlet UIView* leftView;
  IBOutlet UIView* rightView;
  UINavigationController *navigationController;
  BOOL leftViewVisible;
}

@property (nonatomic,retain) PlaylistViewController* tunebookViewController;
@property (nonatomic,retain) TuneViewController* tuneViewController;
@property (nonatomic,retain) UINavigationController *navigationController;
@property (nonatomic,retain) UIView* leftView;

- (void)showLeftView:(BOOL)visible;
- (void)toggleLeftView;
- (void)zoomModeChanged;

@end
