//
//  PlaySettingsWindowController.h
//  Tunebook-Mac
//
//  Created by Jerry on 26/07/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface PlaySettingsWindowController : NSWindowController {
  IBOutlet NSPopUpButton* instrumentChoice;
  IBOutlet NSPopUpButton* chordInstrumentChoice;
  IBOutlet NSSlider* speedSlider;
  IBOutlet NSButton* loopButton;
  IBOutlet NSButton* shuffleButton;
  IBOutlet NSButton* chordsButton;
}

+ (PlaySettingsWindowController *)sharedInspector;

- (IBAction)instrumentChanged:(id)sender;
- (IBAction)speedChanged:(id)sender;
- (IBAction)loopChanged:(id)sender;
- (IBAction)shuffleChanged:(id)sender;
- (IBAction)chordsChanged:(id)sender;

@end
