#import <Cocoa/Cocoa.h>

@class TuneListViewController;
@class Tune;

@interface PluginManager : NSObject {

}

+ (PluginManager*) sharedManager;

- (BOOL) setupPython;

- (BOOL) loadScriptAtPath:(NSString*)scriptPath runFunction:(NSString*)functionName withArguments:(NSArray*)arguments;

@end


@interface PluginContext : NSObject {
  TuneListViewController* controller;
}

- (id)initWithController:(TuneListViewController*)controller;
- (NSArray*)tunes;
- (Tune*)selectedTune;
- (Tune*)displayedTunes;
- (NSArray*)selectedTunes;

- (NSTextView*)abcTextView;
- (NSString*)selectedText;
- (void)replaceSelectedText:(NSString*)text;

@end
