#import <Cocoa/Cocoa.h>
#import "TuneListViewController.h"

@class Playlist;

@interface SimpleSearchWindowController : NSWindowController
{
  IBOutlet NSTextField *abcSearchText;
  IBOutlet NSTextField *titleSearchText;
  IBOutlet NSTextField *keySearchText;
  IBOutlet NSTextField *meterSearchText;
  IBOutlet NSButton *smartTunebookButton;
  IBOutlet NSTextField *smartTunebookName;

  Playlist* tunebook;
  TuneListViewController* delegate;
}

@property (nonatomic,retain) Playlist* tunebook;
@property (nonatomic,retain) TuneListViewController* delegate;

- (void)showSearch:(Playlist*)aTunebook window:(NSWindow*)aWindow;

- (IBAction)searchPressed:(id)sender;
- (IBAction)cancelPressed:(id)sender;

- (void)didEndSheet:(NSWindow *)sheet returnCode:(NSInteger)returnCode contextInfo:(void *)contextInfo;

@end
