#import <Cocoa/Cocoa.h>

@protocol TuneViewDelegate;

@class Tune;

@interface TuneView : NSView
{
	id<TuneViewDelegate> delegate;
  NSString *tune;
  float scale;
  CFDataRef pdfData;
  int numPages;
}

@property(assign) id<TuneViewDelegate> delegate;
@property(readwrite) float scale;
@property(retain,readwrite) NSString *tune;
@property(readwrite) int numPages;

@end

@protocol TuneViewDelegate<NSObject>

@optional

@end
