from Foundation import *
from AppKit import *

import subprocess
# Import smtplib for the actual sending function
import smtplib

# Here are the email package modules we'll need
from email.mime.image import MIMEImage
from email.mime.multipart import MIMEMultipart

def main(context):
  tune = context.selectedTune()
  if tune != None:
    tune.hydrate()
    title = tune.dots().UTF8String()
    data = tune.pdfData()
    if data.writeToFile_atomically_( "/tmp/tune.pdf", False ):
      msg = MIMEMultipart()
      msg['Subject'] = 'A Tune'
      msg['From'] = 'jerry@huxtable.com'
      msg['To'] = 'jerry@huxtable.com'
      msg.preamble = 'Here\'s a tune\n'

      fp = open("/tmp/tune.pdf", 'rb')
      pdf = MIMEImage(fp.read())
      fp.close()
      msg.attach(pdf)

      s = smtplib.SMTP('localhost')
      s.sendmail(me, family, msg.as_string())
      s.quit()

