#ifndef _formatH
#define _formatH

/*
 *  This file is part of abc2ps,
 *  Copyright (C) 1996-2007  Michael Methfessel
 *  See file abc2ps.c for details.
 */


void fontspec (FontSpec* f, char name[], float size, int box);

int add_font (FontSpec* f);

void make_font_list (Format* f);

void set_standard_format (Format* f);

void set_pretty_format (Format* f);

void set_pretty2_format (Format* f);

void print_font (char* str, FontSpec fs);

void print_format (Format f);

void g_unum (const char* l, const char* s, float* num);

void g_logv (const char* l, const char* s, int* v);

void g_fltv (const char* l, int nch, float* v);

void g_intv (const char* l, int nch, int* v);

void g_fspc (const char* l, int nch, FontSpec* fn);

int interpret_format_line (char l[], Format* f);

int read_fmt_file (char filename[], char dirname[], Format* f);

#endif
